<!DOCTYPE html>
<html lang="de">
<head>
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
    <title>Inkrement und Dekrementeoperatoren</title>
</head>
<body>
<p>
<?php

echo "<p>Post-Inkrement</p>";

$zahl = 10;

echo "Zahl ist: ".$zahl++ ."<br>";

echo "Zahl ist jetzt: ".$zahl ."<br>";

echo "<p>Prä-Inkrement</p>";

$zahl = 10;

echo "Zahl ist: ".++$zahl ."<br>";

echo "Zahl ist jetzt: ".$zahl ."<br>";

echo "<p>Post-Dekrement</p>";

$zahl = 10;

echo "Zahl ist: ".$zahl-- ."<br>";

echo "Zahl ist jetzt: ".$zahl ."<br>";

echo "<p>Prä-Dekrement</p>";

$zahl = 10;

echo "Zahl ist: ".--$zahl ."<br>";

echo "Zahl ist jetzt: ".$zahl ."<br>";

?>

</p>    

</body>

</html>